Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.saxon.om
Interface DocumentInfo

All Superinterfaces:
  Item, NodeInfo, Source, ValueRepresentation

All Known Implementing Classes:
  DocumentImpl, DocumentWrapper, DocumentWrapper, DocumentWrapper, DocumentWrapper, StrippedDocument, TextFragmentValue, TinyDocumentImpl, UnconstructedDocument, VirtualDocumentCopy

    public interface DocumentInfo

extends NodeInfo

This interface represents a document node as defined in the XPath 2.0 data model. It extends NodeInfo, which is used to represent any node. Every document node must be an instance of DocumentInfo.

The interface supports two methods in addition to those for NodeInfo: one to find elements given their ID value, and one to locate unparsed entities. In addition, document nodes have an important property that is not true of nodes in general: two distinct Java DocumentInfo objects never represent the same document node. So the Java "==" operator returns the same result as the `NodeInfo.isSameNodeInfo(net.sf.saxon.om.NodeInfo)` method.

This interface is part of the Saxon public API, and as such (from Saxon8.4 onwards) those methods that form part of the stable public API are labelled with a JavaDoc "since" tag to indicate when they were added to the product.

Since:
  8.4
Author:
  Michael H. Kay

Field Summary

Fields inherited from interface net.sf.saxon.om.NodeInfo
`ALL_NAMESPACES, EMPTY_NAMESPACE_LIST, IS_DTD_TYPE, IS_NILLED, LOCAL_NAMESPACES, NO_NAMESPACES`

Fields inherited from interface net.sf.saxon.om.ValueRepresentation
`EMPTY_VALUE_ARRAY`

Method Summary
`String[]` | `getUnparsedEntity(String name)` Get the unparsed entity with a given name
`NodeInfo` | `selectID(String id)` Get the element with a given ID, if any

Methods inherited from interface net.sf.saxon.om.NodeInfo
`atomize, compareOrder, copy, equals, generateId, getAttributeValue, getBaseURI, getConfiguration, getDeclaredNamespaces, getDisplayName, getDocumentNumber, getDocumentRoot, getFingerprint, getLineNumber, getLocalPart, getNameCode, getNamePool, getNodeKind, getParent, getPrefix, getRoot, getStringValue, getSystemId, getTypeAnnotation, getURI, hasChildNodes, hashCode, isSameNodeInfo, iterateAxis, iterateAxis, sendNamespaceDeclarations`

Methods inherited from interface javax.xml.transform.Source
`setSystemId`

Methods inherited from interface net.sf.saxon.om.Item
`getStringValueCS, getTypedValue`

Method Detail

### selectID

    NodeInfo selectID(String id)

  Get the element with a given ID, if any

  Parameters:
    `id` - the required ID value
  Returns:
    the element with the given ID, or null if there is no such ID present (or if the parser has not notified attributes as being of type ID)
  Since:
    8.4

### getUnparsedEntity

    String[] getUnparsedEntity(String name)

  Get the unparsed entity with a given name

  Parameters:
    `name` - the name of the entity
  Returns:
    if the entity exists, return an array of two Strings, the first holding the system ID of the entity, the second holding the public ID if there is one, or null if not. If the entity does not exist, the method returns null. Applications should be written on the assumption that this array may be extended in the future to provide additional information.
  Since:
    8.4

Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) Michael H. Kay. All rights reserved.